python-fabio (2023.6.0-3.1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:13:53 +0000

python-fabio (2023.6.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bug fix for autopkg tests fail with Python 3.12 (Closes: #1056471).

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Thu, 04 Jan 2024 02:28:15 +0000

python-fabio (2023.6.0-3) unstable; urgency=medium

  * Bug fix: "undeclared file conflict between fabio-viewer and
    python3-fabio", thanks to Helmut Grohne (Closes: #1041683).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 22 Jul 2023 13:07:18 +0200

python-fabio (2023.6.0-2) unstable; urgency=medium

  * Bug fix: "python-fabio_2023.6.0-1_ppc64el-buildd.changes REJECTED",
    thanks to Aurelien Jarno (Closes: #1041442).
  * d/rules: reactivated the unit test.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 20 Jul 2023 19:13:04 +0200

python-fabio (2023.6.0-1) unstable; urgency=medium

  * New upstream version 2023.6.0
  * d/control: B-D added pybuild-plugin-pyproject and python3-mesonpy.
  * Update standards version to 4.6.2, no changes needed.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 18 Jul 2023 15:54:09 +0200

python-fabio (0.14.0+dfsg-2) unstable; urgency=medium

  * adapted to setuptools > 60 (Closes: #1022440).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 03 Nov 2022 09:19:06 +0100

python-fabio (0.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.14.0+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 04 Jun 2022 14:03:02 +0200

python-fabio (0.13.0+dfsg-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * Adding myself to the Uploaders.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.13.0+dfsg
  * Add missing build dependency on dh addon.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.
  * d/control: Added Debian PaN Maintainers as Maintainer.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 19 Jan 2022 15:46:08 +0100

python-fabio (0.12.0+dfsg-2) unstable; urgency=medium

  * Bug fix: "Removal of the python3-*-dbg packages in sid/bookworm",
    thanks to Matthias Klose (Closes: #994353).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 19 Sep 2021 16:09:04 +0200

python-fabio (0.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.12.0+dfsg
  * Update standards version to 4.5.1, no changes needed.
  * Apply multi-arch hints.
    + python3-fabio-dbg: Add Multi-Arch: same.
  * d/control: Use dh-sequence-[numpy3,python3,sphinxdoc]
  * d/rules:
    + Simplified thanks to dh-sequence-X
    + Used execute_[before|after] targets

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 05 Sep 2021 15:08:50 +0200

python-fabio (0.11.0+dfsg-3) unstable; urgency=medium

  *  python-fabio: autopkgtest needs update (Closes: #988001)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 04 May 2021 11:36:13 +0200

python-fabio (0.11.0+dfsg-2) unstable; urgency=medium

  * fixed build option name nodocs -> nodoc
  * d/t/control: do not run test with python3-dbg (Closes: #981810).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 10 Feb 2021 01:32:43 +0100

python-fabio (0.11.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.11.0+dfsg
  * d/p/0005-fix-autopkgtests.patch (removed applyed upstream).
  * d/control: Added Build-Depends python3-sphinx-rtd-theme

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 06 Jan 2021 14:18:17 +0100

python-fabio (0.10.2+dfsg-2) unstable; urgency=medium

  * d/p/0005-fix-autopkgtests.patch (Closes: #963818)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 04 Aug 2020 17:19:46 +0200

python-fabio (0.10.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.10.2+dfsg
  * d/t/control: Added needs-internet restriction.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Remove Section on fabio-viewer that duplicates source.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 16 May 2020 14:22:59 +0200

python-fabio (0.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.10.0+dfsg (Closes: #955595)
  * d/t/control: using -v during test (Closes: #888092)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 04 Apr 2020 11:26:33 +0200

python-fabio (0.9.0+dfsg-4) unstable; urgency=medium

  * d/t/control: Added the allow-stderr restriction, since warning
    messages are emitted during tests.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 24 Nov 2019 09:52:19 +0100

python-fabio (0.9.0+dfsg-3) unstable; urgency=medium

  [ Alexandre Marie ]
  * Fixed autopkgtest with ec7a2d1 commit from upstream. (Closes: #942887)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 23 Nov 2019 15:35:06 +0100

python-fabio (0.9.0+dfsg-2) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.
  * Use debhelper-compat instead of debian/compat.
  * Removed Python2 module (Closes: #937745).
  * d/control: switched to compat level 12.
    - d/rules: Use --doc-main-package python3-fabio
  * Bump Standards-Version 4.4.1.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Oct 2019 13:25:00 +0200

python-fabio (0.9.0+dfsg-1) unstable; urgency=medium

  * Uploaded into unstable

 -- Marie Alexandre <alexandre.marie@synchrotron-soleil.fr>  Mon, 08 Jul 2019 11:31:53 +0200

python-fabio (0.9.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 0.9.0+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 27 May 2019 09:52:57 +0200

python-fabio (0.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.8.0+dfsg
  * Added the Salsa CI pipeline
  * d/patches
    + 0004-reproducible-build.patch.patch (added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 26 Nov 2018 20:26:28 +0100

python-fabio (0.7.0+dfsg-2) unstable; urgency=medium

  * d/rules
    - Installed the mathjax link only in the python-fabio-doc packages
    (Closes: #905207)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 01 Aug 2018 23:37:51 +0200

python-fabio (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.7.0+dfsg (Closes: #904262)
  * d/control
    - Switched VCS-X to salsa URL's
    - Removed obsolete X-Python[3]-Version
    - Use system mathjax for privacy breach.
    - Build-Depends
      + Added libjs-mathjax
  * d/patches
    + 0003-use-the-system-mathjax.patch (Added)
  * d/watch
    + Use the pypi redirector once again.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 31 Jul 2018 09:54:20 +0200

python-fabio (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.6.0+dfsg
  * Added DEP8 autopkgtests
  * d/control
    * Bump Stabdards-Version 4.1.1 (nothing to do)
    * Build-Depends:
      + Added sphinx >= 1.4.9,
        pandoc, python[3]-nbsphinx, python[3]-pyqt5[-dbg]
      - Removed python-qt4[-dbg], python3-pyqt4[-dbg]
    * Changed fabio-viewer section (python -> science) (Closes: #832210)
  * d/patch
    - Refreshed the series for 0.6.0
  * d/watch
    - Do not use the pypi redirector

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 21 Jan 2018 15:07:49 +0100

python-fabio (0.5.0+dfsg-2) unstable; urgency=medium

  * d/control
    - python-qt4 -> python3-pyqt4-dbg (Closes: #876288)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 20 Sep 2017 20:17:29 +0200

python-fabio (0.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.0+dfsg
  * switch to compat level 10
  * d/control
    - fabio-viewer scripts python2 -> python3
    - Bump Standard-Versions to 4.1.0 (extra -> optional)
    - cme fixed
    - wrap-and-sort
    - Build-Depends
      + Added help2man,
        python[3]-h5py[-dbg],
        python[3]-matplotlib[-dbg],
        python-pil[-dbg],
        python-qt4|dbg], python3-pyqt4[-dbg],
        xauth, xvfb
      - Removed python-imaging[-dbg]
  * d/copyright
    - updated the Files-excludes for 0.5.0
    - Setting up and using cme upgrade dpkg-copyright
  * d/patch
    - Added 0001-do-not-touch-PYTHONPATH.patch
    - Added 0002-fix-the-install_requires-depends.patch
  * d/rules
    - Used xvfb to generate the manpages

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 02 Sep 2017 16:12:29 +0200

python-fabio (0.4.0+dfsg-2) unstable; urgency=medium

  * debian/rules
    * fixed for jessie-backports

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 28 Jul 2016 11:33:20 +0200

python-fabio (0.4.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0+dfsg
  * New homepage https://github.com/silx-kit/fabio
  * debian/control
    * Remove Build-Dep: pymca
  * debian/patchs
    - 0001-fix-the-documentation-build-process.patch (deleted)
    + 0002 -> 0001-fix-upstream-wrong-six-import.patch (refreshed)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 27 Jul 2016 18:31:23 +0200

python-fabio (0.3.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.3.0+dfsg
  * debian/patchs
    - 0001-fix-the-build-system.patch (removed)
    + 0001-fix-the-documentation-build-process.patch (added)
    + 0002-fix-upstream-wrong-six-import.patch (added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 04 Jan 2016 11:34:23 +0100

python-fabio (0.2.2+dfsg-3) unstable; urgency=medium

  * debian/control
     - fix Dependency to deal with backports
         (0.2.2+dfsg-2 -> 0.2.2+dfsg-2~)
     - remove the circular dependency (Closes: #794153)
         (python-fabio only Recommends fabio-viewer)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 29 Sep 2015 10:20:19 +0200

python-fabio (0.2.2+dfsg-2) unstable; urgency=medium

  * Add python3 modules and put the scripts into fabio-viewer

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 27 Jul 2015 10:03:05 +0200

python-fabio (0.2.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.2.2+dfsg
  * Repack in order to exclude third_party modules
  * debian/control
    - Bump Standard-Versions to 3.9.6 (no change)
    - Add Build-Depends: python-six, pymca,
      python-sphinxcontrib.programoutput
  * debian/patchs
    - 0001-fix-the-build-system.patch (added)
  * debian/watch
    - use the PyPi redirector

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 22 Jul 2015 16:13:10 +0200

python-fabio (0.1.4-1) unstable; urgency=medium

  * Imported Upstream version 0.1.4 (Closes: #735432, #693121)
  * Run all tests during the build (thanks to pybuild)
  * debian/control
    - Add Build-Depends: dh-python for pybuild
  * debian/compat
    - switch to compat level 9
  * debian/copyright
    - updated for 0.1.4 version
  * debian/patchs
    - deleted (applyed by upstream)
      - 0001-forwarded-upstream-cythonize-during-the-build.patch
      - 0002-compat_2.5.patch
  * debian/rules
    - use the pybuild buildsystem
  * debian/watch
    - use the sourceforge redirector

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 05 Apr 2014 09:24:15 +0200

python-fabio (0.1.3-3) unstable; urgency=medium

  * fix the FTBFS when sphinxdoc is not installed

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 15 Jan 2014 19:32:16 +0100

python-fabio (0.1.3-2) unstable; urgency=medium

  [kieffer]
  * Fix Lintian remarks
  * Correct compatibility with Python 2.5

  [picca]
  * debian/control
    - Bump Standard-Versions to 3.9.5 (no change)
    - Add the python-fabio-dbg package
    - Add the python-fabio-doc package
    - Team maintained under debian-science
    - Build-Depends: add cython
  * debian/patch
    + 0001-forwarded-upstream-cythonize-during-the-build.patch (new)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 27 Dec 2013 09:46:21 +0100

python-fabio (0.1.3-1) unstable; urgency=low

  [kieffer]
  * New upstream version (v0.1.3)

  [picca]
  * debian/control
    - use the right python-all-dev version dependencies for dh_python2.
    - remove had coded numpy dependencies which are generated by dh_numpy.
    - add myself as Uploaders.
    - update the homepage add the VCS informations.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 02 Nov 2013 21:40:48 +0100

python-fabio (0.0.8-1) unstable; urgency=low

  * Initial release (Closes: #649008)

 -- Jerome Kieffer <jerome.kieffer@esrf.fr>  Fri, 18 Nov 2011 16:19:20 +0100
